[R025]Enterprise Core Patent Information

post
https://connect.patsnap.com/innovation/company/core_patent
Try in Sandbox

This interface provides the patent query of the enterprise's core patent (Top 10 patent value).

Company_name, credit_code, org_number are required to fill in one of the three, and the credit_code shall prevail, followed by the org_number, and finally the company_name shall prevail.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
company_name
string小米科技有限责任公司
company name/
credit_code
string91110108551385082Q
credit code
org_number
string5513850T82
org_number

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
org_number
string582343213/58234321-3
organization code
core_patent
arrayPlease check the form: CorePatentDetailResponse
core patent
pn
string专利id
patent number
abstract
arrayPatentTitle
patent abstract
lang
stringEN
language
text
stringAn augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......
text
data_format
stringoriginal
Original data: if there are several languages with original data, all will be returned
patent_id
string专利id
patent id
patent_type
stringAPPLICATION
patent type
patent_legal
objectPlease check the form: PatentLegalStatus
legal information
event_status
array[ "Transfer" ]
Event status:

Transfer, License, Pledge, Re-examination, Customs, Litigation, Preservation, Invalid-procedure, Oral-procedure, Declassification, Double application .etc

legal_status
array[ "Examining" ]
Legal status:

Published, Examining, Granted, Abandoned, Withdrawn, Expired, Non-Payment, Ceased .etc

simple_legal_status
array[ "Pending" ]
Simple legal status:

Active, Pending, Inactive, Undetermined .etc

patent_value
integer<int32>43000
Patsnap patent valuation (USD)
patsnap_legal
integer<int32>71
Legal value
patsnap_market
integer<int32>18
Market value
invention_title
arrayPlease check the form: PatentTitle
invention title
lang
stringEN
language
text
stringSystems and methods for rendering user interfaces for augmented or virtual reality
text
data_format
stringoriginal
Original data: if there are several languages with original data, all will be returned
patsnap_economy
integer<int32>23
Economic value
patsnap_strategic
integer<int32>71
Strategic value
patsnap_technology
integer<int32>28
Technology value
application_reference
objectPatentBaseInfo
application information
date
integer<int32>20211221
dates: publication, applicaton, priority .etc

YYYYMMDD format

kind
stringB2
kind code
year
integer<int32>2012
year
month
integer<int32>202112
year and month
country
stringUS
authority
doc_number
string11205304
doc number
publication_reference
objectPlease check the form: PatentReferenceResponse
publication information
dates_of_public_availability
objectPlease check the form: DatesOfPublicAvailability
grant information
year
integer<int32>2011
year
month
integer<int32>201101
year and month
printed_with_granted
integer<int32>20101022
Issue date
credit_code
string913205940566944300
unified social credit code
company_name
string苏州瀚川智能科技股份有限公司
company name
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "org_number": "582343213/58234321-3",
    "core_patent": [
      {
        "pn": "专利id",
        "abstract": [
          {
            "lang": "EN",
            "text": "An augmented reality display system comprises a passable world model data comprises a set of map points corresponding to one or more objects of the real world. The augmented reality system also comprises......",
            "data_format": "original"
          }
        ],
        "patent_id": "专利id",
        "patent_type": "APPLICATION",
        "patent_legal": {
          "event_status": [
            "Transfer"
          ],
          "legal_status": [
            "Examining"
          ],
          "simple_legal_status": [
            "Pending"
          ]
        },
        "patent_value": 43000,
        "patsnap_legal": 71,
        "patsnap_market": 18,
        "invention_title": [
          {
            "lang": "EN",
            "text": "Systems and methods for rendering user interfaces for augmented or virtual reality",
            "data_format": "original"
          }
        ],
        "patsnap_economy": 23,
        "patsnap_strategic": 71,
        "patsnap_technology": 28,
        "application_reference": {
          "date": 20211221,
          "kind": "B2",
          "year": 2012,
          "month": 202112,
          "country": "US",
          "doc_number": "11205304"
        },
        "publication_reference": {
          "date": 20211221,
          "kind": "B2",
          "year": 2012,
          "month": 202112,
          "country": "US",
          "doc_number": "11205304"
        },
        "dates_of_public_availability": {
          "year": 2011,
          "month": 201101,
          "printed_with_granted": 20101022
        }
      }
    ],
    "credit_code": 913205940566944300,
    "company_name": "苏州瀚川智能科技股份有限公司"
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200001API call exceeds the total limit set by the platform!
67200002Quota exceeds the limit!
67200003Access token expired or authentication error!
67200004No permission or API package quota has exceeded the limit!
67200005Insufficient balance, call failed!
67200006This client has expired and call failed!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found